LogOnControllerQueryLogOnHistoryCount Method |
POST /LogOn/QueryHistoryCount
Gets the number of log on history items that match the filter.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("QueryHistoryCount")]
public IActionResult QueryLogOnHistoryCount(
[FromBodyAttribute] QueryLogOnHistoryOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("QueryHistoryCount")>
Public Function QueryLogOnHistoryCount (
<FromBodyAttribute> options As QueryLogOnHistoryOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"QueryHistoryCount")]
IActionResult^ QueryLogOnHistoryCount(
[FromBodyAttribute] QueryLogOnHistoryOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("QueryHistoryCount")>]
member QueryLogOnHistoryCount :
[<FromBodyAttribute>] options : QueryLogOnHistoryOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- options
- Type: Dundas.BI.WebApi.ModelsQueryLogOnHistoryOptions
An object that carries all needed information about the log on history that needs to be retrieved. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResultAn
Int32 containing the number of log on history entries that match the criteria, or a status code indicating the problem.
See Also